INTERFACE
SUBROUTINE READ_SPEC_FROMFA(KSTEP,YD_SPEC,LDBACKGR)
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE SPECTRAL_FIELDS_MOD, ONLY : SPECTRAL_FIELD
INTEGER(KIND=JPIM),INTENT(IN) :: KSTEP
TYPE(SPECTRAL_FIELD),INTENT(INOUT) :: YD_SPEC
LOGICAL ,INTENT(IN), OPTIONAL :: LDBACKGR
END SUBROUTINE READ_SPEC_FROMFA
END INTERFACE
